:root {
  /* :root para paletas */
  --blanco: #ffffff;
  --negro: #212121;
  --primario: #fff200;
  --secundario: #190340;
  --gris: #212121;
}

html {
  font-size: 65.5%;
  font-family: "Krub", sans-serif; /* font-family para el tipo de fuente */
  box-sizing: border-box;
  background-color: #f8fafc;
  scroll-snap-type: y mandatory;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

body {
  font-size: 16px; /* 1 rem = 10px*/
}

h1 {
  font-size: 3.8rem; /* font-size para el tamaño de fuente */
}

h2 {
  font-size: 2.8rem;
}

h3 {
  font-size: 1.8rem;
}

h1,
h2,
h3 {
  text-align: center;
}

.titulo span {
  font-size: 2rem;
}

.contenedor {
  width: 70%;
  display: flex;
  flex-direction: column;
  margin: 0 auto;
  margin-top: 5rem;
  border-radius: 10px;
  background-color: var(--blanco);
}

@media (min-width: 768px) {
  .contenedor {
    flex-direction: column;
    justify-content: center;
  }
} /* 480 para telefono */

.sombra {
  -webkit-box-shadow: 0px 0px 35px 0px rgba(0, 0, 0, 0.54);
  -moz-box-shadow: 0px 0px 35px 0px rgba(0, 0, 0, 0.54);
  box-shadow: 0px 0px 35px 0px rgba(0, 0, 0, 0.54);
  background-color: var(--blanco);
  padding: 5rem;
}

.nav-bg {
  position: absolute;
  z-index: 1;
  width: 100%;
  display: flex;
  justify-content: end;
}

.ancla {
  margin-top: 5px;
  border: 2px solid var(--blanco);
  text-transform: uppercase;
  padding: 7px;
  border-radius: 10%;
  text-decoration: none;
  color: var(--blanco);
  font-weight: 700;
}

.ancla {
  @media (min-width: 480px) {
    margin-top: 5px;
    border: 2px solid var(--blanco);
    text-transform: uppercase;
    padding: 7px;
    border-radius: 10%;
    text-decoration: none;
    color: var(--blanco);
    font-weight: 700;
  }
}

.contacto:hover {
  transform: scale(1.1, 1);
  transition: all 0.3s ease;
}

.navegacion-principal {
  display: flex;
  justify-content: center;
}

.navegacion-principal a {
  display: block;
  align-items: center;
  color: var(--blanco);
  text-decoration: none;
  font-size: 1.5rem;
  font-weight: 700;
  padding: 1rem;
  text-align: center;
}

.hero {
  background: url("/img/hero.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  height: 100vh;
  position: relative;
}

.contenido-hero {
  position: absolute;
  background-color: rgb(0 0 0 / 2%);
  width: 100%;
  height: 100vh;

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.cross {
  width: 10rem;
  height: 10rem;
}

.contenido-hero h2,
.contenido-hero p {
  color: var(--blanco);
}

.nombre {
  padding-bottom: 1rem;
}

/* Website icon */

.dark-mode #favicon {
  filter: invert(1);
}

.light-mode #favicon {
  filter: invert(0);
}
